'# MWS Version: Version 2006B.2 - Mar  5 2007 - 21:57:10

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 0.005 fmax = 2


'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0" 
     .TanD "0.015" 
     .TanDFreq "0.0" 
     .TanDGiven "True" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ new component: Dielectrics

Component.New "Dielectrics"

'@ define brick: Dielectrics:solid1

With Brick
     .Reset 
     .Name "solid1" 
     .Component "Dielectrics" 
     .Material "MyFR4" 
     .Xrange "-62.5", "62.5" 
     .Yrange "-50", "50" 
     .Zrange "-0.5", "0.5" 
     .Create
End With

'@ define units

With Units 
     .Geometry "mm" 
     .Frequency "GHz" 
     .Time "ns" 
     .Temperature "Celsius" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "pF" 
     .Inductance "nH" 
End With

'@ new component: PEC

Component.New "PEC"

'@ define brick: PEC:solid2

With Brick
     .Reset 
     .Name "solid2" 
     .Component "PEC" 
     .Material "PEC" 
     .Xrange "-62.5", "62.5" 
     .Yrange "-50", "50" 
     .Zrange "0.5", "0.501" 
     .Create
End With

'@ define brick: PEC:solid3

With Brick
     .Reset 
     .Name "solid3" 
     .Component "PEC" 
     .Material "PEC" 
     .Xrange "-62.5", "62.5" 
     .Yrange "-50", "50" 
     .Zrange "-0.501", "-0.5" 
     .Create
End With

'@ define units

With Units 
     .Geometry "mm" 
     .Frequency "GHz" 
     .Time "ns" 
     .Temperature "Celsius" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "pF" 
     .Inductance "nH" 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "0.005", "2"

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ pick mid point

Pick.PickMidpointFromId "PEC:solid2", "3"

'@ pick mid point

Pick.PickMidpointFromId "Dielectrics:solid1", "7"

'@ define discrete port: 1

With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "SParameter" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "1.0" 
     .Point1 "-62.5", "0", "0.501" 
     .Point2 "-62.5", "0", "-0.5" 
     .UsePickedPoints "True" 
     .LocalCoordinates "False" 
     .Monitor "True" 
     .Create 
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.0" 
     .TanD "0.015" 
     .TanDFreq "1" 
     .TanDGiven "True" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-60" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define automesh parameters

With Mesh 
     .AutomeshStraightLines "True" 
     .AutomeshEllipticalLines "True" 
     .AutomeshRefineAtPecLines "True", "6" 
     .AutomeshRefinePecAlongAxesOnly "False" 
     .AutomeshAtEllipseBounds "True", "10" 
     .AutomeshAtWireEndPoints "True" 
     .AutomeshAtProbePoints "True" 
     .SetAutomeshRefineDielectricsType "Wave" 
     .MergeThinPECLayerFixpoints "False" 
     .EquilibrateMesh "False" 
     .EquilibrateMeshRatio "1.19" 
     .UseCellAspectRatio "False" 
     .CellAspectRatio "50.0" 
     .UsePecEdgeModel "True" 
     .MeshType "PBA" 
     .AutoMeshLimitShapeFaces "True" 
     .AutoMeshNumberOfShapeFaces "1000" 
     .PointAccEnhancement "0" 
     .SurfaceOptimization "True" 
     .SurfaceSmoothing "3" 
     .MinimumCurvatureRefinement "100" 
     .CurvatureRefinementFactor "0.05" 
     .SmallFeatureSize "0.0" 
     .VolumeOptimization "True" 
     .VolumeSmoothing "True" 
     .VolumeMeshMethod "Delaunay" 
     .DelaunayOptimizationLevel "2" 
     .DelaunayPropagationFactor "1.050000" 
     .DensityTransitions "0.5" 
     .MeshAllRegions "False" 
     .ConvertGeometryDataAfterMeshing "True" 
     .AutomeshFixpointsForBackground "True" 
     .PBAType "Fast PBA" 
     .AutomaticPBAType "True" 
     .FPBAAvoidNonRegUnite "False" 
     .DetectSmallSolidPEC "False" 
End With 
With Solver 
     .UseSplitComponents "True" 
     .PBAFillLimit "99" 
     .EnableSubgridding "False" 
     .AlwaysExcludePec "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10.0" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define material: PEC

With Material 
     .Reset 
     .Name "PEC"
     .FrqType "all" 
     .Type "Pec" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0.8", "0.8", "0.8" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10.0" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.0" 
     .TanD "0.015" 
     .TanDFreq "0" 
     .TanDGiven "True" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "0" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe2

With Probe
     .Reset 
     .Name "probe2" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "0" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe3

With Probe
     .Reset 
     .Name "probe3" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "90" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe4

With Probe
     .Reset 
     .Name "probe4" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "90" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe5

With Probe
     .Reset 
     .Name "probe5" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "90" 
     .SetPosition2 "90" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe6

With Probe
     .Reset 
     .Name "probe6" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "90" 
     .SetPosition2 "90" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ set parametersweep options

With ParameterSweep
    .SetSimulationType "Transient" 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.0" 
     .TanD "0.02" 
     .TanDFreq "1" 
     .TanDGiven "True" 
     .TanDModel "ConstKappa" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "0" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ set origin for probes

With Probe
     .Origin "zero" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "0" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe2

With Probe
     .Reset 
     .Name "probe2" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "0" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe3

With Probe
     .Reset 
     .Name "probe3" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "90" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe4

With Probe
     .Reset 
     .Name "probe4" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "90" 
     .SetPosition2 "0" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe5

With Probe
     .Reset 
     .Name "probe5" 
     .Field "EFarfield" 
     .Orientation "Theta" 
     .SetPosition1 "90" 
     .SetPosition2 "90" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ define probe: probe6

With Probe
     .Reset 
     .Name "probe6" 
     .Field "EFarfield" 
     .Orientation "Phi" 
     .SetPosition1 "90" 
     .SetPosition2 "90" 
     .SetPosition3 "3000" 
     .SetSampling "16.0" 
     .SetCoordinateSystemType "Spherical" 
     .Create
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10.0" 
     .LinesPerWavelength "50" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define automesh parameters

With Mesh 
     .AutomeshStraightLines "True" 
     .AutomeshEllipticalLines "True" 
     .AutomeshRefineAtPecLines "True", "10" 
     .AutomeshRefinePecAlongAxesOnly "False" 
     .AutomeshAtEllipseBounds "True", "10" 
     .AutomeshAtWireEndPoints "True" 
     .AutomeshAtProbePoints "True" 
     .SetAutomeshRefineDielectricsType "Wave" 
     .MergeThinPECLayerFixpoints "False" 
     .EquilibrateMesh "False" 
     .EquilibrateMeshRatio "1.19" 
     .UseCellAspectRatio "False" 
     .CellAspectRatio "50.0" 
     .UsePecEdgeModel "True" 
     .MeshType "PBA" 
     .AutoMeshLimitShapeFaces "True" 
     .AutoMeshNumberOfShapeFaces "1000" 
     .PointAccEnhancement "0" 
     .SurfaceOptimization "True" 
     .SurfaceSmoothing "3" 
     .MinimumCurvatureRefinement "100" 
     .CurvatureRefinementFactor "0.05" 
     .SmallFeatureSize "0.0" 
     .VolumeOptimization "True" 
     .VolumeSmoothing "True" 
     .VolumeMeshMethod "Delaunay" 
     .DelaunayOptimizationLevel "2" 
     .DelaunayPropagationFactor "1.050000" 
     .DensityTransitions "0.5" 
     .MeshAllRegions "False" 
     .ConvertGeometryDataAfterMeshing "True" 
     .AutomeshFixpointsForBackground "True" 
     .PBAType "Fast PBA" 
     .AutomaticPBAType "True" 
     .FPBAAvoidNonRegUnite "False" 
     .DetectSmallSolidPEC "False" 
End With 
With Solver 
     .UseSplitComponents "True" 
     .PBAFillLimit "99" 
     .EnableSubgridding "False" 
     .AlwaysExcludePec "False" 
End With

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.00500693" 
     .TanD "0.02" 
     .TanDFreq "1" 
     .TanDGiven "False" 
     .TanDModel "ConstKappa" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define automesh parameters

With Mesh 
     .AutomeshStraightLines "True" 
     .AutomeshEllipticalLines "True" 
     .AutomeshRefineAtPecLines "True", "6" 
     .AutomeshRefinePecAlongAxesOnly "False" 
     .AutomeshAtEllipseBounds "True", "10" 
     .AutomeshAtWireEndPoints "True" 
     .AutomeshAtProbePoints "True" 
     .SetAutomeshRefineDielectricsType "Wave" 
     .MergeThinPECLayerFixpoints "False" 
     .EquilibrateMesh "False" 
     .EquilibrateMeshRatio "1.19" 
     .UseCellAspectRatio "False" 
     .CellAspectRatio "50.0" 
     .UsePecEdgeModel "True" 
     .MeshType "PBA" 
     .AutoMeshLimitShapeFaces "True" 
     .AutoMeshNumberOfShapeFaces "1000" 
     .PointAccEnhancement "0" 
     .SurfaceOptimization "True" 
     .SurfaceSmoothing "3" 
     .MinimumCurvatureRefinement "100" 
     .CurvatureRefinementFactor "0.05" 
     .SmallFeatureSize "0.0" 
     .VolumeOptimization "True" 
     .VolumeSmoothing "True" 
     .VolumeMeshMethod "Delaunay" 
     .DelaunayOptimizationLevel "2" 
     .DelaunayPropagationFactor "1.050000" 
     .DensityTransitions "0.5" 
     .MeshAllRegions "False" 
     .ConvertGeometryDataAfterMeshing "True" 
     .AutomeshFixpointsForBackground "True" 
     .PBAType "Fast PBA" 
     .AutomaticPBAType "True" 
     .FPBAAvoidNonRegUnite "False" 
     .DetectSmallSolidPEC "False" 
End With 
With Solver 
     .UseSplitComponents "True" 
     .PBAFillLimit "99" 
     .EnableSubgridding "False" 
     .AlwaysExcludePec "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.0057079" 
     .TanD "0.02" 
     .TanDFreq "1.14" 
     .TanDGiven "False" 
     .TanDModel "ConstKappa" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.00500693" 
     .TanD "0.02" 
     .TanDFreq "1" 
     .TanDGiven "False" 
     .TanDModel "ConstKappa" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.00500693" 
     .TanD "0.015" 
     .TanDFreq "0.0" 
     .TanDGiven "True" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define material colour: MyFR4

With Material 
     .Name "MyFR4" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define material: MyFR4

With Material 
     .Reset 
     .Name "MyFR4"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "4.5" 
     .Mue "1" 
     .Kappa "0.0" 
     .TanD "0.015" 
     .TanDFreq "1.0" 
     .TanDGiven "True" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "0" 
     .Create
End With

'@ define frequency range

Solver.FrequencyRange "0.005", "2"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ define discrete port: 1

With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "Voltage" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "1.0" 
     .Point1 "-62.5", "0.0", "-0.5" 
     .Point2 "-62.5", "0.0", "0.0" 
     .UsePickedPoints "False" 
     .LocalCoordinates "False" 
     .Monitor "False" 
     .Create 
End With

'@ define lumped element: element1

With LumpedElement
     .Reset 
     .SetName "element1" 
     .SetType "RLCSerial" 
     .SetR  "50" 
     .SetL  "0" 
     .SetC  "0" 
     .SetGs "0" 
     .SetI0 "1e-14" 
     .SetT  "300" 
     .SetP1 "False", "-62.5", "0", "0" 
     .SetP2 "False", "-62.5", "0", "0.5" 
     .SetInvert "False" 
     .SetMonitor "False" 
     .Create
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10" 
     .LinesPerWavelength "40" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
End With 

